Bug 15829 - swapd crashes
swapd crashes
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-09 10:30 EDT by Alan Needleman
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-09 10:30:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Needleman 2000-08-09 10:30:36 EDT
Kernel paging error. I have been getting these when system is heavily
loaded. I am using the 2.2.16-3 kernel now but this has also happened with
the 2.2.14-6.0.1 kernel. I wanted to see if upgrading the kernel would fix
the problem but it did not.

Aug  9 09:35:31 onslow kernel: Unable to handle kernel paging request at
virtual address 00008d00 
Aug  9 09:35:31 onslow kernel: current->tss.cr3 = 0d6e8000, %cr3 = 0d6e8000 
Aug  9 09:35:31 onslow kernel: *pde = 00000000 
Aug  9 09:35:31 onslow kernel: Oops: 0000 
Aug  9 09:35:31 onslow kernel: CPU:    0 
Aug  9 09:35:31 onslow kernel: EIP:    0010:[find_buffer+100/140] 
Aug  9 09:35:31 onslow kernel: EFLAGS: 00010206 
Aug  9 09:35:31 onslow kernel: eax: 00008d00   ebx: 00000006   ecx:
00015f23   edx: 00008d00 
Aug  9 09:35:31 onslow kernel: esi: 0000000c   edi: 00000308   ebp:
0004703c   esp: cc497ef0 
Aug  9 09:35:31 onslow kernel: ds: 0018   es: 0018   ss: 0018 
Aug  9 09:35:31 onslow kernel: Process netscape-commun (pid: 14793, process
nr: 48, stackpage=cc497000) 
Aug  9 09:35:31 onslow kernel: Stack: c58a3210 00000000 00015f23 c0127ccf
00000308 0004703c 00001000 c013e8cb  
Aug  9 09:35:31 onslow kernel:        00000308 0004703c 00001000 00000220
00000000 c013ea65 c58a3210 c416a880  
Aug  9 09:35:31 onslow kernel:        00000000 00000001 00000000 c58a3210
00000000 c95554c0 c013eae5 c58a3210  
Aug  9 09:35:31 onslow kernel: Call Trace: [get_hash_table+19/32]
[sync_block+43/224] [sync_indirect+77/128] [sync_dindirect+77/128]
[ext2_sync_file+105/168] [sys_fsync+104/136] [system_call+52/56]  
Aug  9 09:35:31 onslow kernel: Code: 8b 00 39 6a 04 75 15 8b 4c 24 20 39 4a
08 75 0c 66 39 7a 0c  
Aug  9 09:35:45 onslow kernel: Unable to handle kernel paging request at
virtual address 00008d00 
Aug  9 09:35:45 onslow kernel: current->tss.cr3 = 0f829000, %cr3 = 0f829000 
Aug  9 09:35:45 onslow kernel: *pde = 00000000 
Aug  9 09:35:45 onslow kernel: Oops: 0000 
Aug  9 09:35:45 onslow kernel: CPU:    0 
Aug  9 09:35:45 onslow kernel: EIP:    0010:[find_buffer+100/140] 
Aug  9 09:35:45 onslow kernel: EFLAGS: 00013206 
Aug  9 09:35:45 onslow kernel: eax: 00008d00   ebx: 00000006   ecx:
00015f23   edx: 00008d00 
Aug  9 09:35:45 onslow kernel: esi: 0000000c   edi: 00000308   ebp:
0004703c   esp: c9f9be40 
Aug  9 09:35:45 onslow kernel: ds: 0018   es: 0018   ss: 0018 
Aug  9 09:35:45 onslow kernel: Process netscape-commun (pid: 14814, process
nr: 30, stackpage=c9f9b000) 
Aug  9 09:35:45 onslow kernel: Stack: 00000a2d cae06120 00015f23 c0127ccf
00000308 0004703c 00001000 c0128df3  
Aug  9 09:35:45 onslow kernel:        00000308 0004703c 00001000 00000000
c9f9bee8 00000a2d c58a3210 c9d6d270  
Aug  9 09:35:45 onslow kernel:        cadce000 00000308 00000000 cae06120
c95554c0 c95554c0 00000000 0004703c  
Aug  9 09:35:45 onslow kernel: Call Trace: [get_hash_table+19/32]
[brw_page+327/864] [ext2_bmap+351/564] [generic_readpage+120/136]
[try_to_read_ahead+250/272] [do_generic_file_read+741/1512]
[generic_file_read+124/148]  
Aug  9 09:35:45 onslow kernel:        [file_read_actor+0/84]
[sys_read+166/188] [system_call+52/56]  
Aug  9 09:35:45 onslow kernel: Code: 8b 00 39 6a 04 75 15 8b 4c 24 20 39 4a
08 75 0c 66 39 7a 0c  
Aug  9 09:45:08 onslow gnome-name-server[14778]: input condition is: 0x10,
exiting
Comment 1 Alan Cox 2000-08-22 13:14:10 EDT
This is consistent with hardware problems. I'd be interested to know what spec
the machine is and if its overclocked. memtest86 is a good tool to do a memory
test.

Comment 2 Alan Needleman 2000-08-22 17:32:33 EDT
The machine is a 750 MHz AMD Athlon with 256 Meg RAM. It is NOT overclocked. It
may be a memory problem. I switched the memory DIMMS with another machine and
will wait and see if the problem recurs.

Note You need to log in before you can comment on or make changes to this bug.